=== debian/changelog ===
pidgin-skype (20100121+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #566655)
    - Fixes "Always shows skype-out contacts online" bug (Closes: #561664)
  * Added debug symbols binary package
  * Added Replaces/Conflicts for skype4pidgin package

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 24 Jan 2010 15:30:01 +0100

pidgin-skype (20090920+dfsg-2) unstable; urgency=low

  * d/control: Added libpurple dependency
  * d/copyright:
    - Added Format-Specification field
    - Updated copyright years
  * Updated maintainer email address

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 27 Dec 2009 14:44:41 +0100

pidgin-skype (20090920+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #555393)

 -- Gabriele Giacone <losgarbo@libero.it>  Wed, 04 Nov 2009 02:09:08 +0100
