=== debian/control ===
Source: pidgin-skype
Section: contrib/net
Priority: optional
Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, 
 libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin
Standards-Version: 3.8.3
Homepage: http://eion.robbmob.com/

Package: pidgin-skype
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libpurple0 (>= 2.1.1)
Provides: skype4pidgin
Replaces: skype4pidgin
Conflicts: skype4pidgin
Description: Skype plugin for libpurple messengers
 This protocol plugin allows libpurple to communicate with Skype.
 Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
 etc.) can thus show your Skype contacts alongside those from
 other protocols, and you can communicate with them using that
 application instead of the Skype user interface.
 .
 This plugin communicates with the Skype application in the
 background to perform its work, so it's necessary to have Skype
 installed and running.
 This product uses the Skype API but is not endorsed, certified
 or otherwise approved in any way by Skype.

Package: pidgin-skype-dbg
Section: contrib/debug
Priority: extra
Architecture: i386 amd64
Depends: ${misc:Depends}, pidgin-skype (= ${binary:Version})
Description: Skype plugin for libpurple messengers (debug symbols)
 This protocol plugin allows libpurple to communicate with Skype.
 Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
 etc.) can thus show your Skype contacts alongside those from
 other protocols, and you can communicate with them using that
 application instead of the Skype user interface.
 .
 This plugin communicates with the Skype application in the
 background to perform its work, so it's necessary to have Skype
 installed and running.
 This product uses the Skype API but is not endorsed, certified
 or otherwise approved in any way by Skype.
 .
 This package contains debug symbols for pidgin-skype.
