=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DH_OPTIONS

SVGDIR  = $(CURDIR)/debian/svgs
DESTDIR = $(CURDIR)/debian/pidgin-skype

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$(DESTDIR) install
	rsvg-convert -w 16 -h 16 $(SVGDIR)/skype16.svg \
		-o $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/16/skype.png
	rsvg-convert -w 16 -h 16 $(SVGDIR)/skypeout.svg \
		-o $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/16/skypeout.png
	rsvg-convert -w 22 -h 22 $(SVGDIR)/skype.svg \
		-o $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/22/skype.png
	rsvg-convert -w 22 -h 22 $(SVGDIR)/skypeout.svg \
		-o $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/22/skypeout.png
	rsvg-convert -w 48 -h 48 $(SVGDIR)/skype.svg \
		-o $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/48/skype.png
	rsvg-convert -w 48 -h 48 $(SVGDIR)/skypeout.svg \
		-o $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/48/skypeout.png

override_dh_strip:
	dh_strip --dbg-package=pidgin-skype-dbg
