=== debian/changelog ===
pidgin-skype (20100302+dfsg-1) unstable; urgency=low

  [ Gabriele Giacone ]
  * New upstream release.
  * Standards-Version to 3.8.4.
  * Reduced patch 00Makefile size.

  [ Luca Falavigna ]
  * debian/control: add DM-Upload-Allowed field.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 25 Apr 2010 19:48:07 +0200
