=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, 
  libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://eion.robbmob.com/
+DM-Upload-Allowed: yes
 
 Package: pidgin-skype
 Architecture: i386 amd64
