=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	$(MAKE) all
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(DESTDIR) install
 	rsvg-convert -w 16 -h 16 $(SVGDIR)/skype16.svg \
