## pidgin-skype 20100826+dfsg

=== debian/changelog ===
pidgin-skype (20100826+dfsg-1) unstable; urgency=low

  * New upstream release.
    + Added an 'End Call' buddy menu option
    + Added a 're-request authorization' buddy menu option
    + Hopefully fixed groups in Adium this time
    + Fix to hide the 'Answer Call' window when answering a call
    + Fix the 'use saved status at startup' Pidgin preference
  * Standards-Version to 3.9.1.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 06 Sep 2010 22:17:41 +0200
