=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,13 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=pidgin-skype-dbg
+
+TMPDIR=tmp-pidgin-skype
+get-orig-source:
+	@echo date=$(date) svnrev=$(svnrev)
+	@if [ "$(date)" = "" ] || [ "$(svnrev)" = "" ];then echo \
+		"Usage: debian/rules date=YYYYMMDD svnrev=nnnn get-orig-source";exit 1;fi
+	svn export -r $(svnrev) http://skype4pidgin.googlecode.com/svn/trunk/ $(TMPDIR)
+	find $(TMPDIR) -type f -name '*.png' -print -delete
+	cd $(TMPDIR) && tar --exclude-vcs -zcf ../../pidgin-skype_$(date)+dfsg.orig.tar.gz *
+	rm -rf $(TMPDIR)
