## pidgin-skype 20110407+svn612+dfsg

=== debian/changelog ===
pidgin-skype (20110407+svn612+dfsg-1ubuntu1) oneiric; urgency=low

  * Use pkg-config to find glib and dbus include paths (LP: #756174)
    - add debian/patches/use-pkg-config.patch
    - update debian/patches/series
  * Add libdbus-1-dev and pkg-config to build-deps
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Sat, 30 Jul 2011 23:14:29 -0500

pidgin-skype (20110407+svn612+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version to 3.9.2.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 10 Apr 2011 19:47:08 +0200
