=== debian/changelog ===
pidgin-skype (20110407+svn628+dfsg-1) unstable; urgency=low

  * SVN snapshot.
  * Enable hardening.
  * Bump Standards-Version to 3.9.3.
  * d/copyright complies with 1.0 format.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 01 Mar 2012 17:40:16 +0100

pidgin-skype (20110407+svn612+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "pidgin-skype FTBFS with multiarch": add patch from Micah Gersten
    (forwarded from Ubuntu) that uses pkg-config instead of using hardcoded
    paths.
    Closes: #636097
    LP: #756174

 -- gregor herrmann <gregoa@debian.org>  Wed, 07 Sep 2011 20:55:31 +0200
