=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: pidgin-skype
 Section: contrib/net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
+Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, 
- libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin, libdbus-1-dev, pkg-config
-Standards-Version: 3.9.2
+ libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin, hardening-wrapper,
+ libdbus-1-dev, pkg-config
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Homepage: http://eion.robbmob.com/
