=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 export DH_OPTIONS
+export DEB_BUILD_HARDENING=1
 
 SVGDIR  = $(CURDIR)/debian/svgs
 DESTDIR = $(CURDIR)/debian/pidgin-skype
@@ -35,5 +36,5 @@
 		"Usage: debian/rules date=YYYYMMDD svnrev=nnnn get-orig-source";exit 1;fi
 	svn export -r $(svnrev) http://skype4pidgin.googlecode.com/svn/trunk/ $(TMPDIR)
 	find $(TMPDIR) -type f -name '*.png' -print -delete
-	cd $(TMPDIR) && tar --exclude-vcs -zcf ../../pidgin-skype_$(date)+dfsg.orig.tar.gz *
+	cd $(TMPDIR) && tar --exclude-vcs -zcf ../../pidgin-skype_$(date)+svn$(svnrev)+dfsg.orig.tar.gz *
 	rm -rf $(TMPDIR)
