## pidgin-skype 20121110+svn645+dfsg

=== debian/changelog ===
pidgin-skype (20121110+svn645+dfsg-1) unstable; urgency=low

  * New upstream snapshot.
  * Add patch to display voice icon if contact has call equipment.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 10 Nov 2012 02:13:13 +0100

pidgin-skype (20121029+svn639+dfsg-1) unstable; urgency=low

  * New upstream snapshot (LP: #970885, #1067506).
  * Switch to compat 9.
    + Remove hardening-wrapper B-D.
  * Add VCS-* fields.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 29 Oct 2012 14:44:59 +0100
