=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: contrib/net
 Priority: optional
 Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, 
- libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin, hardening-wrapper,
- libdbus-1-dev, pkg-config
+Build-Depends: debhelper (>= 9), libglib2.0-dev, 
+ libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin, libdbus-1-dev, pkg-config
 Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Homepage: http://eion.robbmob.com/
+Vcs-Git: git://git.debian.org/git/collab-maint/pidgin-skype.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/pidgin-skype.git
 
 Package: pidgin-skype
 Architecture: i386 amd64
