=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 export DH_OPTIONS
-export DEB_BUILD_HARDENING=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 SVGDIR  = $(CURDIR)/debian/svgs
 DESTDIR = $(CURDIR)/debian/pidgin-skype
@@ -11,6 +11,7 @@
 
 override_dh_auto_build:
 	$(MAKE) all
+
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(DESTDIR) install
 	rsvg-convert -w 16 -h 16 $(SVGDIR)/skype16.svg \
@@ -29,6 +30,9 @@
 override_dh_strip:
 	dh_strip --dbg-package=pidgin-skype-dbg
 
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
+
 TMPDIR=tmp-pidgin-skype
 get-orig-source:
 	@echo date=$(date) svnrev=$(svnrev)
@@ -36,5 +40,5 @@
 		"Usage: debian/rules date=YYYYMMDD svnrev=nnnn get-orig-source";exit 1;fi
 	svn export -r $(svnrev) http://skype4pidgin.googlecode.com/svn/trunk/ $(TMPDIR)
 	find $(TMPDIR) -type f -name '*.png' -print -delete
-	cd $(TMPDIR) && tar --exclude-vcs -zcf ../../pidgin-skype_$(date)+svn$(svnrev)+dfsg.orig.tar.gz *
+	cd $(TMPDIR) && tar --exclude-vcs -Jcf ../../pidgin-skype_$(date)+svn$(svnrev)+dfsg.orig.tar.xz *
 	rm -rf $(TMPDIR)
