=== debian/changelog ===
pidgin-skype (20130613+svn660+dfsg-1) unstable; urgency=low

  * New upstream snapshot.
  * Split binary into p-s-common (plugins), p-s (pidgin icons and theme),
    empathy-skype (empathy icons).
  * Remove patches + 00Makefile - don't make install anymore.
                   + 01usepkgconfig - applied upstream.
  * Bump Standards-Version to 3.9.4 (no changes).
  * Make Vcs-* fields canonical.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 13 Jun 2013 23:39:40 +0200
