=== debian/control ===
--- 
+++ 
@@ -4,19 +4,18 @@
 Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
 Build-Depends: debhelper (>= 9), libglib2.0-dev, 
  libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin, libdbus-1-dev, pkg-config
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 Homepage: http://eion.robbmob.com/
-Vcs-Git: git://git.debian.org/git/collab-maint/pidgin-skype.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/pidgin-skype.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/pidgin-skype.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pidgin-skype.git
 
-Package: pidgin-skype
+Package: pidgin-skype-common
 Architecture: i386 amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpurple0 (>= 2.1.1)
 Provides: skype4pidgin
-Replaces: skype4pidgin
-Conflicts: skype4pidgin
-Description: Skype plugin for libpurple messengers
+Replaces: skype4pidgin, pidgin-skype (<< 20121121+svn646+dfsg-1)
+Breaks: skype4pidgin, pidgin-skype (<< 20121121+svn646+dfsg-1)
+Description: Skype plugin for libpurple messengers (common files)
  This protocol plugin allows libpurple to communicate with Skype.
  Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
  etc.) can thus show your Skype contacts alongside those from
@@ -28,12 +27,52 @@
  installed and running.
  This product uses the Skype API but is not endorsed, certified
  or otherwise approved in any way by Skype.
+ .
+ This package contains D-Bus and X11 libpurple plugins.
+
+Package: pidgin-skype
+Architecture: i386 amd64
+Depends: ${misc:Depends}, libpurple0 (>= 2.1.1),
+ pidgin-skype-common (>= 20121121+svn646+dfsg-1)
+Description: Skype plugin for libpurple messengers (Pidgin-specific files)
+ This protocol plugin allows libpurple to communicate with Skype.
+ Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
+ etc.) can thus show your Skype contacts alongside those from
+ other protocols, and you can communicate with them using that
+ application instead of the Skype user interface.
+ .
+ This plugin communicates with the Skype application in the
+ background to perform its work, so it's necessary to have Skype
+ installed and running.
+ This product uses the Skype API but is not endorsed, certified
+ or otherwise approved in any way by Skype.
+ .
+ This package contains Pidgin-specific files.
+
+Package: empathy-skype
+Architecture: i386 amd64
+Depends: ${misc:Depends}, telepathy-haze,
+ pidgin-skype-common (>= 20121121+svn646+dfsg-1)
+Description: Skype plugin for libpurple messengers (Empathy-specific files)
+ This protocol plugin allows libpurple to communicate with Skype.
+ Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
+ etc.) can thus show your Skype contacts alongside those from
+ other protocols, and you can communicate with them using that
+ application instead of the Skype user interface.
+ .
+ This plugin communicates with the Skype application in the
+ background to perform its work, so it's necessary to have Skype
+ installed and running.
+ This product uses the Skype API but is not endorsed, certified
+ or otherwise approved in any way by Skype.
+ .
+ This package contains Empathy-specific files.
 
 Package: pidgin-skype-dbg
 Section: contrib/debug
 Priority: extra
 Architecture: i386 amd64
-Depends: ${misc:Depends}, pidgin-skype (= ${binary:Version})
+Depends: ${misc:Depends}, pidgin-skype-common (= ${binary:Version})
 Description: Skype plugin for libpurple messengers (debug symbols)
  This protocol plugin allows libpurple to communicate with Skype.
  Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
