## pidgin-skype 20140930%2Bsvn665%2Bdfsg

=== debian/changelog ===
pidgin-skype (20140930+svn665+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fix crash connecting to skype (Closes: #763016).
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 29 Sep 2014 23:52:28 +0200
