## pidgin-skype 20140930+svn665+dfsg

=== debian/changelog ===
pidgin-skype (20140930+svn665+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #856736)

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 18:14:44 -0300
