=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pidgin-skype
 Section: contrib/net
 Priority: optional
-Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), libglib2.0-dev, 
  libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin, libdbus-1-dev, pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://eion.robbmob.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/pidgin-skype.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pidgin-skype.git
