## pidgin-skype 20240122%2Bgitab786a3%2Bdfsg

=== debian/changelog ===
pidgin-skype (20240122+gitab786a3+dfsg-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Patrick Zajda <patrick@zajda.fr>  Fri, 09 Feb 2024 07:36:50 +0100

pidgin-skype (20240122+gitab786a3+dfsg-2) unstable; urgency=medium

  * debian/control: update VCS URLs

 -- Patrick Zajda <patrick@zajda.fr>  Sat, 03 Feb 2024 09:36:10 +0100

pidgin-skype (20240122+gitab786a3+dfsg-1) unstable; urgency=medium

  * New maintainer (Closes: #856736)
  * Declare compliance with Debian Policy 4.6.2
  * New upstream version
  * Remove support for Skype and Skype DBus plugins
  * Add SkypeWeb plugin (Closes: #788922)
  * Use debian/watch to update from upstream source excluding icons
  * Remove patches
  * debian/controle:
    - Move from contrib to main
    - Adjust build dependencies
    - Change descriptions, now only provide Skype web
  * debian/*.links: update paths to icons
  * debian/*.install: update paths to icons
  * debian/rules:
    - Adjust to new directory structure
    - Fix custom-compression-in-debian-rules

 -- Patrick Zajda <patrick@zajda.fr>  Wed, 17 Jan 2024 17:44:03 +0100
