=== debian/control ===
Source: pidgin-skype
Section: net
Priority: optional
Maintainer: Patrick Zajda <patrick@zajda.fr>
Build-Depends: debhelper-compat (= 13), librsvg2-bin, libpurple-dev, libjson-glib-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/EionRobb/skype4pidgin
Vcs-Git: https://salsa.debian.org/debian/pidgin-skype.git
Vcs-Browser: https://salsa.debian.org/debian/pidgin-skype

Package: pidgin-skype-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: skype4pidgin
Replaces: skype4pidgin, pidgin-skype (<< 20121121+svn646+dfsg-1)
Breaks: skype4pidgin, pidgin-skype (<< 20121121+svn646+dfsg-1)
Description: Skype plugin for libpurple messengers (common files)
 This protocol plugin allows libpurple to communicate with Skype Web.
 Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
 etc.) can thus show your Skype contacts alongside those from
 other protocols, and you can communicate with them using that
 application.
 .
 This product uses the web version of Skype.

Package: pidgin-skype
Architecture: any
Depends: ${misc:Depends}, pidgin-skype-common (= ${binary:Version})
Description: Skype plugin for libpurple messengers (Pidgin-specific files)
 This protocol plugin allows libpurple to communicate with Skype Web.
 Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
 etc.) can thus show your Skype contacts alongside those from
 other protocols, and you can communicate with them using that
 application.
 .
 This product uses the web version of Skype.
 .
 This package contains Pidgin-specific files.

Package: empathy-skype
Architecture: any
Depends: ${misc:Depends}, telepathy-haze,
 pidgin-skype-common (= ${binary:Version})
Description: Skype plugin for libpurple messengers (Empathy-specific files)
 This protocol plugin allows libpurple to communicate with Skype Web.
 Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
 etc.) can thus show your Skype contacts alongside those from
 other protocols, and you can communicate with them using that
 application.
 .
 This product uses the web version of Skype.
 .
 This package contains Empathy-specific files.
