=== debian/changelog ===
pidgin-skype (20240122+gitab786a3+dfsg-3) unstable; urgency=medium

  * debian/rules: fix missing import of pkg-info.mk
  * debian/control: Bump standards version to 4.7.0
  * Remove pidgin-skype-common and empathy-skype
    Plugin is only compatible with Pidgin, common package is not necessary

 -- Patrick Zajda <patrick@zajda.fr>  Sat, 07 Sep 2024 15:28:05 +0200
