=== debian/control ===
Source: pidgin-skype
Section: net
Priority: optional
Maintainer: Patrick Zajda <patrick@zajda.fr>
Build-Depends: debhelper-compat (= 13), librsvg2-bin, libpurple-dev, libjson-glib-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/EionRobb/skype4pidgin
Vcs-Git: https://salsa.debian.org/debian/pidgin-skype.git
Vcs-Browser: https://salsa.debian.org/debian/pidgin-skype

Package: pidgin-skype
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: skype4pidgin, pidgin-skype-common
Replaces: skype4pidgin, pidgin-skype-common
Breaks: skype4pidgin, pidgin-skype-common
Description: Skype plugin for libpurple messengers
 This protocol plugin allows libpurple to communicate with Skype Web.
 Applications using libpurple (Pidgin, Finch,
 etc.) can thus show your Skype contacts alongside those from
 other protocols, and you can communicate with them using that
 application.
 .
 This product uses the web version of Skype.
