=== debian/watch ===
version=4
opts="mode=git,pretty=%cd+git%h,date=%Y%m%d,dversionmangle=s/\+dfsg\d*$// ,repacksuffix=+dfsg" \
https://github.com/EionRobb/skype4pidgin \
HEAD
